import type { ContextWithState } from '../../Types';
export declare class ErrorCreatingTextTrack extends Error {
    constructor(id: string);
}
declare function removeTextTrack(trackId: string): void;
declare const _default: {
    getOrCreateTextTrack: import("../../../../framework-types/task/Types").NamedTask<([video, label, kind, id]: [HTMLVideoElement, string, TextTrackKind, string], context: ContextWithState) => TextTrack | import("../../../../framework-types/abortable/Abortable").Abortable<TextTrack>>;
    removeTextTrack: typeof removeTextTrack;
    ErrorCreatingTextTrack: typeof ErrorCreatingTextTrack;
};
export default _default;
